﻿--------------------------------------------------------------------------------
--  ITEM SETS
--[[

These are the default item templates that FarmIt includes.
Items are grouped by the part of the game in which they are obtained.
To add your own: set up a bar in-game, then use the following commands:
	
	/farmit tpl list
	/farmit tpl save {bar#} name
	/farmit tpl load {bar#} name
	/farmit tpl delete name
	/farmit tpl rename name newname
	
Note: To simplify input parsing, spaces are not allowed in custom template names.

--------------------------------------------------------------------------------

["Category"] = {
	-- primary professions
	["Alchemy"] = {},
	["Blacksmithing"] = {},
	["Enchanting"] = {},
	["Engineering"] = {},
	["Herbalism"] = {},
	["Inscription"] = {},
	["Jewelcrafting"] = {},
	["Leatherworking"] = {},
	["Mining"] = {},
	["Skinning"] = {},
	["Tailoring"] = {},
	-- secondary professions
	["Archaeology"] = {},
	["Cooking"] = {},
	["FirstAid"] = {},
	["Fishing"] = {},
	-- other
	["Elemental"] = {},
	["Misc"] = {},
}

]]
--------------------------------------------------------------------------------

FI_TPL = {};

-- categories
FI_TPL.Templates = {
	["WOW"] = {},
	["TBC"] = {},
	["WOTLK"] = {},
	["CATA"] = {},
}

-- Mining
FI_TPL.Templates.WOW.Mining = {2770,2771,2775,2772,2776,3858,7911,11370,10620}
FI_TPL.Templates.TBC.Mining = {23424,23425,23426,23427}
FI_TPL.Templates.WOTLK.Mining = {36909,36912,36910}
FI_TPL.Templates.CATA.Mining = {53038,52184,52185,52183}

-- Herbalism
FI_TPL.Templates.WOW.Herbalism = {2447,765,785,2449,2450,2452,2453,3820,3369,3355,3356,3357,3818,3821,3358,3819}
FI_TPL.Templates.WOW.Herbalism2 = {8153,4625,8831,8836,8838,8839,8845,8846,13464,13463,13465,13466,13467,13468,19726}
FI_TPL.Templates.TBC.Herbalism = {22785,22786,22789,22787,22790,22791,22792,22793,22794}
FI_TPL.Templates.WOTLK.Herbalism = {36901,37921,36904,36907,36903,36905,36906,36908}
FI_TPL.Templates.CATA.Herbalism = {52983,52984,52985,52986,52988,52987,52989}

-- Skinning
FI_TPL.Templates.WOW.Skinning = {2934,2318,783,5082,2319,4232,4234,4235,8167,4304,8169,8154,8165,15415,15412,15416,8170,8171}
FI_TPL.Templates.WOW.Skinning2 = {15419,15417,15408,20500,20501,20498,15414,29547,29539,25700,19767,19768,25699,17012,15410}
FI_TPL.Templates.TBC.Skinning = {25649,21887,25708,25707}
FI_TPL.Templates.WOTLK.Skinning = {33567,33568,38557,38561,38558,44128}
FI_TPL.Templates.CATA.Skinning = {52977,52976,52979,52982,52980}

-- Enchanting
FI_TPL.Templates.CATA.Enchanting = {52722,52721,52720,52719,52718,52555}

-- Elemental
FI_TPL.Templates.WOW.Elemental = {}
FI_TPL.Templates.TBC.Elemental = {}
FI_TPL.Templates.WOTLK.Elemental = {}
FI_TPL.Templates.CATA.Elemental = {52327,52328,52325,52326,52329}

-- More templates to come in future updates...